ランタイム: Mix::IO::IStream Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::IO::IStream Class Referenceabstract

ストリームインターフェース More...

`#include <IStream.h>`

Inheritance diagram for Mix::IO::IStream:
[legend]
Collaboration diagram for Mix::IO::IStream:
[legend]

## Public Types

enum | ACCESS_TYPE { A_READ = 0, A_WRITE = 1 }
| アクセスタイプ列挙定数 More...
enum | SOURCE_TYPE { S_FILE = 0, S_BUFFER = 1 }
| ソースタイプ列挙定数 More...

## Public Member Functions

virtual Mix::IO::IStream::ACCESS_TYPE | GetAccessType (void) const =0
| アクセスタイプを取得します More...
virtual Mix::IO::IStream::SOURCE_TYPE | GetSourceType (void) const =0
| ソースタイプを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IStream (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

ストリームインターフェース

## Member Enumeration Documentation

enum Mix::IO::IStream::ACCESS_TYPE

アクセスタイプ列挙定数

Enumerator
A_READ | 読み込み
A_WRITE | 書き込み

enum Mix::IO::IStream::SOURCE_TYPE

ソースタイプ列挙定数

Enumerator
S_FILE | ファイル
S_BUFFER | バッファー

## Constructor & Destructor Documentation

virtual Mix::IO::IStream::~IStream | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Mix::IO::IStream::ACCESS_TYPE Mix::IO::IStream::GetAccessType | ( | void |  | ) | const

pure virtual

アクセスタイプを取得します

Returns
  アクセスタイプを表す Mix::IO::IStream::ACCESS_TYPE 列挙定数

virtual Mix::IO::IStream::SOURCE_TYPE Mix::IO::IStream::GetSourceType | ( | void |  | ) | const

pure virtual

ソースタイプを取得します

Returns
  ソースタイプを表す Mix::IO::IStream::SOURCE_TYPE 列挙定数

The documentation for this class was generated from the following file:

- Mix/IO/IStream.h